unit U_BaseInput;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs,U_WindowFormdesign, Data.DB,
  Data.Win.ADODB, System.ImageList, Vcl.ImgList, Vcl.ToolWin, Vcl.ComCtrls;

type
  TfrmBaseInput = class(TForm)
    ADOQueryBaseCmd: TADOQuery;
    ADOQueryBaseTemp: TADOQuery;
    ImageList_new32: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    fWindowDesign:TWindowFormdesign;
  public
    { Public declarations }
  end;

var
  frmBaseInput: TfrmBaseInput;


implementation
uses
  U_RTFun ,U_globalVar;
{$R *.dfm}

procedure TfrmBaseInput.FormCreate(Sender: TObject);
begin
  fWindowDesign:=TWindowFormDeSign.Create();
end;

procedure TfrmBaseInput.FormDestroy(Sender: TObject);
begin
  fWindowDesign.free;
end;

procedure TfrmBaseInput.FormShow(Sender: TObject);
begin
  fWindowDesign.FormStyleInit(self,0,ADOQueryBaseTemp,ADOQueryBaseCmd);
end;

end.
